-- name: [CS] Dynamite Anton 
-- description: his name is dynamite anton he's a destruction worker and some peapole call him "the dynamite man"\n\n\\#ff7777\\This char requires Character Select\nto use as a Library!

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_ANTON = smlua_model_util_get_id("anton_geo")

local TEX_CUSTOM_ICON = get_texture_info("anton-icon")

local TEXT_MOD_NAME = "[CS] Dynamite Anton "

local VOICETABLE_ANTON = {
    [CHAR_SOUND_ATTACKED] = 'sn_antonVoice_annoyedOhBoy.ogg',
    [CHAR_SOUND_DOH] = 'sn_antonVoice_annoyedHey.ogg',
    [CHAR_SOUND_DROWNING] = 'sn_antonVoice_hurtEargh.ogg',
    [CHAR_SOUND_DYING] = 'sn_antonVoice_hurtGrr.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'sn_antonVoice_happyLaugh2.ogg',
    [CHAR_SOUND_HAHA] = 'sn_antonVoice_happyLaugh2.ogg',
    [CHAR_SOUND_HAHA_2] = 'sn_antonVoice_happyLaugh2.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'sn_antonVoice_happyhour.ogg',
    [CHAR_SOUND_HOOHOO] = 'sndANN_Jump_Anton.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'sn_antonVoice_hurtGrr.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'sn_antonVoice_hurtGrr.ogg',
    [CHAR_SOUND_LETS_A_GO] = "sn_antonVoice_happyhour.ogg",
    [CHAR_SOUND_ON_FIRE] = 'sn_antonVoice_hurtAah.ogg',
    [CHAR_SOUND_OOOF] = 'sn_antonVoice_annoyedHey.ogg',
    [CHAR_SOUND_OOOF2] = 'sn_antonVoice_hurtEargh.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'sn_antonHammerSmash.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'sn_antonHammerSmash.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'sn_antonHammerSmash.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'sn_antonVoice_hurtWOW.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'sn_antonVoice_hurtWOW.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'sn_antonVoice_hurtGrr.ogg',
    [CHAR_SOUND_WAH2] = 'sndANN_Jump_Anton.ogg',
    [CHAR_SOUND_WHOA] = 'sndANN_Jump_Anton.ogg',
    [CHAR_SOUND_YAHOO] = 'sn_antonVoice_hurtWOW.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'sn_antonVoice_hurtWOW.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'sndANN_Jump_Anton.ogg',
}

local PALETTE_ANTON= {
    [PANTS]  = "000711",
    [SHIRT]  = "82E101",
    [GLOVES] = "F70500",
    [SHOES]  = "010302",
    [HAIR]   = "010302",
    [SKIN]   = "F70500",
    [CAP]    = "7CE200",
    [EMBLEM] = "FFFFFF",
}

if _G.charSelectExists then
    CT_ANTON = _G.charSelect.character_add("Dynamite Anton", {"his name is dynamite anton hes a destruction worker", "and some pepole call him the dynamite man", "OUT OF MY WAY ITS HAPPY HOUR"}, "msatiro, f_bell", {r = 255, g = 0, b = 0}, E_MODEL_ANTON, CT_WARIO, TEX_CUSTOM_ICON)
    _G.charSelect.character_add_palette_preset(E_MODEL_ANTON, PALETTE_ANTON)
  

    _G.charSelect.character_add_voice(E_MODEL_ANTON, VOICETABLE_ANTON)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ANTON then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_ANTON then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end